Changeset 14171 in josm


Ignore:
Timestamp:
2018-08-20T00:24:00+02:00 (6 months ago)
Author:
Don-vip
Message:

see #16047, see #16498 - update to jacoco 0.8.2.20180819 for Java 11 compatibility. Keep it disabled for Java 12

See https://github.com/jacoco/jacoco/issues/663

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/build.xml

    r14167 r14171  
    6666            <matches string="${ant.java.version}" pattern="1[1-9]" />
    6767        </condition>
     68        <!-- For Java12-specific stuff -->
     69        <condition property="isJava12">
     70            <matches string="${ant.java.version}" pattern="1[2-9]" />
     71        </condition>
    6872        <!-- error_prone works differently on Java 10+, see https://github.com/google/error-prone/issues/860 -->
    6973        <condition property="javac.compiler" value="modern" else="com.google.errorprone.ErrorProneAntCompilerAdapter">
    7074            <isset property="isJava10"/>
    7175        </condition>
    72         <!-- Disable jacoco on Java 11+, see https://github.com/jacoco/jacoco/issues/629 -->
     76        <!-- Disable jacoco on Java 12+ -->
    7377        <condition property="coverageByDefault">
    7478            <not>
    75                 <isset property="isJava11"/>
     79                <isset property="isJava12"/>
    7680            </not>
    7781        </condition>
Note: See TracChangeset for help on using the changeset viewer.